Skip to main content
GET
/
v1
/
event-sources
List event sources
curl --request GET \
  --url https://api.strait.dev/v1/event-sources \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "enabled": true,
    "id": "<string>",
    "name": "<string>",
    "project_id": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "$schema": "<string>",
    "description": "<string>",
    "schema": "<unknown>",
    "signature_algorithm": "<string>",
    "signature_header": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Response

object[] | null

OK

created_at
string<date-time>
required
enabled
boolean
required
id
string
required
name
string
required
project_id
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/EventSource.json"

description
string
schema
any
signature_algorithm
string
signature_header
string